com.trendmicro.ds.platform.rest.api

## Interface IProxyAPI

-     @Path(value="/proxies")
       @Produces(value="application/json")
       @Consumes(value="application/json")
      public interface IProxyAPI

  Interface to the Proxy API.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CreateProxyResponse` | `createProxy(java.lang.String sessionID, CreateProxyRequest request)` Create a new proxy.
    `void` | `deleteProxy(java.lang.String sessionID, int proxyID)` Delete a proxy.
    `DescribeProxyResponse` | `describeProxy(java.lang.String sessionID, int proxyID)` Describe a proxy.
    `ListProxiesResponse` | `listProxies(java.lang.String sessionID, java.lang.Integer id, java.lang.String op, java.lang.Integer maxItems)` List proxies.
    `ModifyProxyResponse` | `modifyProxy(java.lang.String sessionID, int proxyID, ModifyProxyRequest request)` Modify a proxy.

- - ### Method Detail

    - #### listProxies

          @GET
          ListProxiesResponse listProxies(@CookieParam(value="sID")
                                               java.lang.String sessionID,
                                               @QueryParam(value="id")
                                               java.lang.Integer id,
                                               @QueryParam(value="op")
                                               java.lang.String op,
                                               @QueryParam(value="maxItems")
                                               java.lang.Integer maxItems)
                                        throws java.lang.Exception

      List proxies.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `id` - (optional) used to define the starting point for the query. Combine with `op` to page through results.
        `op` - (optional, required if `id` is specified) Currently supported operations are:
        - gt (greater than)
        - ge (greater than or equal to)
        - eq (equal to)
        - lt (less than)
        - le (less than or equal to)
        `maxItems` - (optional) the number of items to retrieve. The maximum value for this parameter is controlled by the "Maximum number of items to retrieve from database" setting on the administrator account, which defaults to 5000.
      Returns:
        a `ListProxiesResponse` with the proxy details.
      Throws:
        `java.lang.Exception`

    - #### createProxy

          @POST
          CreateProxyResponse createProxy(@CookieParam(value="sID")
                                                java.lang.String sessionID,
                                                CreateProxyRequest request)
                                         throws java.lang.Exception

      Create a new proxy.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `request` - a `CreateProxyRequest` with the proxy details.
      Returns:
        a `CreateProxyResponse` with the proxy details.
      Throws:
        `java.lang.Exception`

    - #### describeProxy

          @GET
           @Path(value="{proxyID}")
          DescribeProxyResponse describeProxy(@CookieParam(value="sID")
                                                                             java.lang.String sessionID,
                                                                             @PathParam(value="proxyID")
                                                                             int proxyID)
                                                                      throws java.lang.Exception

      Describe a proxy.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `proxyID` - the proxy ID.
      Returns:
        a `DescribeProxyResponse` with the proxy details.
      Throws:
        `java.lang.Exception`

    - #### modifyProxy

          @POST
           @Path(value="{proxyID}")
          ModifyProxyResponse modifyProxy(@CookieParam(value="sID")
                                                                          java.lang.String sessionID,
                                                                          @PathParam(value="proxyID")
                                                                          int proxyID,
                                                                          ModifyProxyRequest request)
                                                                   throws java.lang.Exception

      Modify a proxy.

      Any unset elements in the request object will be left unchanged by the modify request.

      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `proxyID` - the proxy ID.
        `request` - a `ModifyProxyRequest` with the details of the proxy.
      Returns:
        an `ModifyProxyResponse` with the updated proxy details.
      Throws:
        `java.lang.Exception`

    - #### deleteProxy

          @DELETE
           @Path(value="{proxyID}")
          void deleteProxy(@CookieParam(value="sID")
                                                             java.lang.String sessionID,
                                                             @PathParam(value="proxyID")
                                                             int proxyID)
                                                      throws java.lang.Exception

      Delete a proxy.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `proxyID` - the proxy ID.
      Throws:
        `java.lang.Exception`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.